Spree Admin SDK
Show an API key
Required scope: read_api_keys (for API-key authentication).
GET
Spree Admin SDK
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
const key = await client.apiKeys.get('key_xxx')spree api get /api_keys/{id}{
"id": "key_UkLWZg9DAJ",
"name": "Storefront key",
"key_type": "publishable",
"token_prefix": null,
"scopes": [],
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z",
"revoked_at": null,
"last_used_at": null,
"channel_id": null,
"plaintext_token": "pk_XyZ9qSxtdtD6Uewb3GXYKkoV",
"created_by_email": null,
"created_by_type": null,
"created_by_label": null
}Required scope: read_api_keys (for API-key authentication).
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
const key = await client.apiKeys.get('key_xxx')spree api get /api_keys/{id}{
"id": "key_UkLWZg9DAJ",
"name": "Storefront key",
"key_type": "publishable",
"token_prefix": null,
"scopes": [],
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z",
"revoked_at": null,
"last_used_at": null,
"channel_id": null,
"plaintext_token": "pk_XyZ9qSxtdtD6Uewb3GXYKkoV",
"created_by_email": null,
"created_by_type": null,
"created_by_label": null
}Was this page helpful?
